<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Пожалуйста, не загружайте эту страницу напрямую. Спасибо!');

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
				?>
				
				<p><?php _e("Эта публикация защищена паролем. Пожалуйста, введите его для просмотра комментариев."); ?><p>
				
				<?php
				return;
            }
        }

		/* This variable is for alternating comment background, thanks Kubrick */
		$oddcomment = 'alt';
?>

<!-- You can start editing here. -->

<?php if ($comments) : ?>

	<h2 class="postcomment">
		<?php comments_number(__('Комментарии'), __('1 комментарий'), __('Комментариев (%)')); ?>
		<?php if ( comments_open() ) : ?>
			<a href="#postcomment" title="<?php _e('Перейти к форме комментариев'); ?>">&raquo;</a>
		<?php endif; ?>
	</h2>
	
	<ol id="commentlist">

	<?php foreach ($comments as $comment) : ?>

		<li class="<?php echo $oddcomment; ?>" id="comment-<?php comment_ID() ?>">

		<p class="comment-title">Автор: <?php comment_author_link() ?>, <?php comment_date('d M Y') ?> 
			в <a href="#comment-<?php comment_ID() ?>"><?php comment_time() ?></a>
			<?php edit_comment_link(__("Править"), ' &#183; ', ''); ?></p>

		<div class="comment-text"><img src="http://www.gravatar.com/avatar.php?gravatar_id=<?php echo md5(get_comment_author_email()) ?>&amp;size=40&amp;default=<?php echo urlencode(get_bloginfo('template_directory').'/images/default-gravatar.jpg') ?>" width="40" height="40" alt="&nbsp;" class="gravatar" align="left" /><?php comment_text() ?><div style="clear:both;"></div></div>
		</li>

		<?php 
			if ('alt' == $oddcomment) $oddcomment = '';
			else $oddcomment = 'alt';
		?>

	<?php endforeach; /* end for each comment */ ?>

	</ol>
	
	<p align="left">
		<?php comments_rss_link(__('&nbsp;Комментарии RSS')); ?>
		<?php if ( pings_open() ) : ?>
		&#183; <a href="<?php trackback_url() ?>" rel="trackback"><?php _e('Адрес для трекбека'); ?></a>
		<?php endif; ?>
	</p>

<?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post-> comment_status) : ?> 
		<?php /* No comments yet */ ?>
		
	<?php else : // comments are closed ?>
		<?php /* Comments are closed */ ?>
		<p><?php _e('Комментарии закрыты.'); ?></p>
		
	<?php endif; ?>
	
<?php endif; ?>

<?php if ('open' == $post-> comment_status) : ?>

	<h2 class="postcomment"><?php _e('Оставьте свой комментарий'); ?></h2>
	<div class="postcomment">
	
	<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
	
		<p><?php _e('Вы должны'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>"><?php _e('войти,'); ?></a> <?php _e('чтобы оставлять комментарии.'); ?></p>
	
	<?php else : ?>
	
		<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
		
		<?php if ( $user_ID ) : ?>
		
			<p><?php _e('Вы вошли как'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Выйти с этого аккаунта') ?>"><?php _e('Выйти'); ?> &raquo;</a></p>

		<?php else : ?>
	
			<p>
				<strong><?php _e('Имя:'); ?> <?php if ($req) _e('*'); ?></strong><br/>
				<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" tabindex="1" />
			</p>
			
			<p>
				<strong><?php _e('Почта:'); ?> <?php if ($req) _e('*'); ?></strong><br/>
				<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" tabindex="2" />
			</p>
			
			<p>
				<strong><?php _e('Сайт:'); ?></strong><br/>
				<input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" tabindex="3" />
			</p>

		<?php endif; ?>
			<?php
/****** Math Comment Spam Protection Plugin ******/
if ( function_exists('math_comment_spam_protection') ) {
$mcsp_info = math_comment_spam_protection();
?> <p><input type="text" name="mathuseranswer" id="mathuseranswer" value="" size="22" tabindex="4" />
<label for="mathuseranswer"><small>Защита от спама. Сколько будет: <?php echo $mcsp_info['operand1'] . ' + ' . $mcsp_info['operand2'] . ' ?' ?></small></label>
<input type="hidden" name="mathresult" value="<?php echo $mcsp_info['result']; ?>" />
</p>
<?php } // if function_exists... ?>
			<p>
				<strong><?php _e('Комментарий:'); ?></strong><br/>
				<textarea name="comment" id="comment" rows="" cols="" tabindex="4"></textarea>
			</p>
	
			<p>
				<input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Добавить!'); ?>" />
				<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
			</p>
	
		<?php do_action('comment_form', $post->ID); ?>
	
		</form>

	<?php endif; // If registration required and not logged in ?>
	</div>

<?php endif; // if you delete this the sky will fall on your head ?>
