<?php get_header(); ?>
	<div id="content">

	<?php /* If this is a category archive */  if (is_category()) { ?>
	<div class="notes"><p>Архив рубрики <?php single_cat_title(''); ?></p></div>

	<?php /* If this is a yearly archive */ } elseif (is_day()) { ?>
	<div class="notes"><p>Архив за <?php the_time('d M Y'); ?></p></div>

	<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
	<div class="notes"><p>Архив за <?php the_time('M Y'); ?></p></div>

	<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
	<div class="notes"><p>Архив за <?php the_time('Y'); ?> год</p></div>

	<?php /* If this is a monthly archive */ } elseif (is_search()) { ?>
	<div class="notes"><p>Вы искали <strong><?php the_search_query(); ?></strong>, вот результаты поиска: </p></div>

	<?php } ?> 

	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

		<div class="post" id="post-<?php the_ID(); ?>">

		<div class="posthead">
		<h2><a title="<?php the_title(); ?>" href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
		<small class="postauthor">Опубликовано в <?php the_time('Y') ?> году в рубриках: <?php the_category(', ') ?> | <?php comments_popup_link(__('Комментариев нет'), __('1 комментарий'), __('Комментариев %'), 'ссылка на комментарии', __('Комментарии закрыты')); ?> <?php edit_post_link(__('Править'), ' &#183; ', ''); ?></small>
		<p class="postdate">
		<small class="day"><?php the_time('j') ?></small>
		<small class="month"><?php the_time('M') ?></small>
		<small class="year"><? // php the_time('Y') ?></small>
		</p>
		</div> <!-- end posthead -->

			<?php the_content('Еще... &raquo;'); ?>

		</div> <!-- end post -->

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Раньше') ?></div>
			<div class="alignright"><?php previous_posts_link('Позже &raquo;') ?></div>
		</div> <!-- end navigation -->

	<?php else : ?>

		<h2>&nbsp;Не найдено</h2>
		<p>&nbsp;К сожалению, вы запросили то, чего здесь нет.</p>


	<?php endif; ?>

	</div> <!-- end content -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>
